For the complete documentation index, see llms.txt. This page is also available as Markdown.

OnlineSbAddOn

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getOnlineSbAddOn

post

Retrieve OnlineSbAddOn parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
OnlineSbAddOnRuleOrdinalintegerRequired
Responses
200

Successful operation.

application/json
post/getOnlineSbAddOn
POST /nexum/627/2022.01/parameter/getOnlineSbAddOn HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "OnlineSbAddOnRuleOrdinal": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "OnlineSbAddOn": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getOnlineSbAddOn"
}

getOnlineSbAddOnSelectFields

post

Retrieve OnlineSbAddOn parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
OnlineSbAddOnRuleOrdinalintegerOptional
Responses
200

Successful operation.

application/json
post/getOnlineSbAddOnSelectFields
POST /nexum/627/2022.01/parameter/getOnlineSbAddOnSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 283

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "OnlineSbAddOnRuleOrdinal": 0,
  "SelectableFields": {
    "OnlineSbAddOnFields": {
      "RuleOrdinal": true,
      "RuleDescription": true,
      "TransactionSourceCode": true
    }
  }
}
200

Successful operation.

{
  "OnlineSbAddOn": {
    "RuleDescription": null,
    "RuleOrdinal": 0,
    "TransactionSourceCode": "N"
  },
  "MessageId": "getOnlineSbAddOnSelectFields"
}

getOnlineSbAddOnPagedList

post

Retrieve OnlineSbAddOn parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getOnlineSbAddOnPagedList
POST /nexum/627/2022.01/parameter/getOnlineSbAddOnPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "OnlineSbAddOn": [],
  "Token": null,
  "MessageId": "getOnlineSbAddOnPagedList"
}

getOnlineSbAddOnListSelectFields

post

Retrieve OnlineSbAddOn parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getOnlineSbAddOnListSelectFields
POST /nexum/627/2022.01/parameter/getOnlineSbAddOnListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllOnlineSbAddOnFields": true
  }
}
200

Successful operation.

{
  "OnlineSbAddOnList": [],
  "MessageId": "getOnlineSbAddOnListSelectFields"
}

searchOnlineSbAddOnSelectFields

post

Search OnlineSbAddOn parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchOnlineSbAddOnSelectFields
POST /nexum/627/2022.01/parameter/searchOnlineSbAddOnSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllOnlineSbAddOnFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "OnlineSbAddOnList": [],
  "MessageId": "searchOnlineSbAddOnSelectFields"
}

getOnlineSbAddOnPagedListSelectFields

post

Retrieve OnlineSbAddOn parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getOnlineSbAddOnPagedListSelectFields
POST /nexum/627/2022.01/parameter/getOnlineSbAddOnPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 333

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "OnlineSbAddOnFields": {
      "RuleOrdinal": true,
      "RuleDescription": true,
      "TransactionSourceCode": true
    }
  }
}
200

Successful operation.

{
  "OnlineSbAddOn": [
    {
      "RuleDescription": null,
      "RuleOrdinal": 0,
      "TransactionSourceCode": "N"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getOnlineSbAddOnPagedListSelectFields"
}

searchOnlineSbAddOnPagedSelectFields

post

Search OnlineSbAddOn parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchOnlineSbAddOnPagedSelectFields
POST /nexum/627/2022.01/parameter/searchOnlineSbAddOnPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 344

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "OnlineSbAddOnFields": {
      "RuleOrdinal": true,
      "RuleDescription": true,
      "TransactionSourceCode": true
    }
  }
}
200

Successful operation.

{
  "OnlineSbAddOn": [
    {
      "RuleDescription": null,
      "RuleOrdinal": 0,
      "TransactionSourceCode": "N"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchOnlineSbAddOnPagedSelectFields"
}

updateOnlineSbAddOnByID

post

Update OnlineSbAddOn parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
OnlineSbAddOnRuleOrdinalintegerOptional
Responses
200

Successful operation.

application/json
post/updateOnlineSbAddOnByID
POST /nexum/627/2022.01/parameter/updateOnlineSbAddOnByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "OnlineSbAddOnRuleOrdinal": 1,
  "OnlineSbAddOnUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateOnlineSbAddOnByID"
}

Last updated

Was this helpful?